package com.ruoyi.system.mapper;

import java.util.List;
import com.ruoyi.system.domain.SysApplyConfig;

/**
 * 系统应用注册Mapper接口
 * 
 * @author JiangYuQi
 * @date 2024-01-13
 */
public interface SysApplyConfigMapper 
{
    /**
     * 查询系统应用注册
     * 
     * @param id 系统应用注册主键
     * @return 系统应用注册
     */
    public SysApplyConfig selectSysApplyConfigById(Long id);

    /**
     * 查询系统应用注册列表
     * 
     * @param sysApplyConfig 系统应用注册
     * @return 系统应用注册集合
     */
    public List<SysApplyConfig> selectSysApplyConfigList(SysApplyConfig sysApplyConfig);

    /**
     * 新增系统应用注册
     * 
     * @param sysApplyConfig 系统应用注册
     * @return 结果
     */
    public int insertSysApplyConfig(SysApplyConfig sysApplyConfig);

    /**
     * 修改系统应用注册
     * 
     * @param sysApplyConfig 系统应用注册
     * @return 结果
     */
    public int updateSysApplyConfig(SysApplyConfig sysApplyConfig);

    /**
     * 删除系统应用注册
     * 
     * @param id 系统应用注册主键
     * @return 结果
     */
    public int deleteSysApplyConfigById(Long id);

    /**
     * 批量删除系统应用注册
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteSysApplyConfigByIds(Long[] ids);
}
